package ink.wgink.database.controller.route.mysql;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: MysqlController
 * @Description: mysql连接
 * @Author: CodeFactory
 * @Date: 2021-10-26 23:05:32
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "mysql连接路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/mysql")
public class MysqlRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("mysql/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("mysql/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("mysql/list");
    }

}